'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _cssModulesFlowTypesPrinter = require('css-modules-flow-types-printer');

var _cssModulesFlowTypesPrinter2 = _interopRequireDefault(_cssModulesFlowTypesPrinter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getTokens(content) {
  const cssTokens = content.replace(/\s/g, '').match('exports.locals=(.*);');
  if (cssTokens) {
    return JSON.parse(cssTokens[1]);
  }
  return null;
}

module.exports = function cssModulesFlowTypesLoader(content) {
  const tokens = getTokens(content);
  if (tokens) {
    // NOTE: We cannot use .emitFile as people might use this with devServer
    // (e.g. in memory storage).
    const outputPath = this.resourcePath + '.flow';
    _fs2.default.writeFile(outputPath, (0, _cssModulesFlowTypesPrinter2.default)(tokens), {}, function () {});
  }
  return content;
};